> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ezyshield.com.au/llms.txt
> Use this file to discover all available pages before exploring further.

# List all webhook subscriptions

> Requires the `webhook_subscription:read` ability.



## OpenAPI

````yaml /api-reference/api.json get /webhook-subscriptions
openapi: 3.1.0
info:
  title: ezyshield
  version: 0.0.1
servers:
  - url: https://app.ezyshield.com.au/api
    description: Production
  - url: https://sandbox.ezyshield.com.au/api
    description: Sandbox
security:
  - http: []
tags:
  - name: Organizations
  - name: API Keys
  - name: Verifications
  - name: Checks
  - name: ABA checks
  - name: Webhook Subscriptions
  - name: Webhook Events
paths:
  /webhook-subscriptions:
    get:
      tags:
        - Webhook Subscriptions
      summary: List all webhook subscriptions
      description: Requires the `webhook_subscription:read` ability.
      operationId: webhook-subscriptions.index
      parameters:
        - name: sort
          in: query
          description: >-
            Available sorts are `created_at`, `updated_at`,
            `consecutive_failures`. You can sort by multiple options by
            separating them with a comma. To sort in descending order, use `-`
            sign in front of the sort, for example: `-created_at`.
          schema:
            type: string
            default: '-created_at'
        - name: page[size]
          in: query
          description: The number of results that will be returned per page.
          schema:
            type: integer
            default: 10
        - name: page[number]
          in: query
          description: The page number to start the pagination from.
          schema:
            type: integer
        - name: fields[webhook-subscriptions]
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - url
                - events
                - secret
                - enabled
                - consecutive_failures
                - created_at
                - updated_at
                - disabled_at
          explode: false
        - name: filter[enabled]
          in: query
          description: Filter by whether the subscription is enabled.
          schema:
            type: boolean
            examples:
              - true
      responses:
        '200':
          description: Paginated set of `WebhookSubscriptionResource`
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/WebhookSubscriptionResource'
                  links:
                    type: object
                    properties:
                      first:
                        type:
                          - string
                          - 'null'
                      last:
                        type:
                          - string
                          - 'null'
                      prev:
                        type:
                          - string
                          - 'null'
                      next:
                        type:
                          - string
                          - 'null'
                    required:
                      - first
                      - last
                      - prev
                      - next
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        minimum: 1
                      from:
                        type:
                          - integer
                          - 'null'
                        minimum: 1
                      last_page:
                        type: integer
                        minimum: 1
                      links:
                        type: array
                        description: Generated paginator links.
                        items:
                          type: object
                          properties:
                            url:
                              type:
                                - string
                                - 'null'
                            label:
                              type: string
                            active:
                              type: boolean
                          required:
                            - url
                            - label
                            - active
                      path:
                        type:
                          - string
                          - 'null'
                        description: Base path for paginator generated URLs.
                      per_page:
                        type: integer
                        description: Number of items shown per page.
                        minimum: 0
                      to:
                        type:
                          - integer
                          - 'null'
                        description: Number of the last item in the slice.
                        minimum: 1
                      total:
                        type: integer
                        description: Total number of items being paginated.
                        minimum: 0
                    required:
                      - current_page
                      - from
                      - last_page
                      - links
                      - path
                      - per_page
                      - to
                      - total
                required:
                  - data
                  - links
                  - meta
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
components:
  schemas:
    WebhookSubscriptionResource:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: webhook-subscriptions
        attributes:
          type: object
          properties:
            url:
              type: string
              description: The webhook endpoint URL.
            events:
              type: array
              description: The event types this subscription listens to.
              items:
                type: object
            secret:
              description: >-
                The signing secret. Only returned when the subscription is first
                created.
              anyOf:
                - type: string
                - type: object
            enabled:
              type: boolean
              description: Whether the subscription is enabled.
            consecutive_failures:
              type: string
              description: The number of consecutive delivery failures.
            created_at:
              type: string
              description: ISO 8601 formatted date-time.
            updated_at:
              type: string
              description: ISO 8601 formatted date-time.
            disabled_at:
              type: string
              description: >-
                ISO 8601 formatted date-time when the subscription was disabled,
                or null if enabled.
      required:
        - id
        - type
      title: WebhookSubscriptionResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer

````